Update mutter and gnome-shell to 3.24.1

Bug #1682238 reported by Jeremy Bicha on 2017-04-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
Medium
Unassigned
Zesty
Medium
Unassigned
mutter (Ubuntu)
Medium
Unassigned
Zesty
Medium
Unassigned

Bug Description

Impact
------
3.24.1 is a new bugfix release in the stable 3.24 series. Although mutter and gnome-shell could be handled separately, it makes sense to handle them together since they're so closely tied together.

This has several fixes for GNOME Shell 3.24's new Weather feature built-in to the clock menu. There are quite a few other bugfixes too.

https://git.gnome.org/browse/gnome-shell/tree/NEWS?h=gnome-3-24
https://git.gnome.org/browse/mutter/tree/NEWS?h=gnome-3-24

https://git.gnome.org/browse/gnome-shell/log?h=gnome-3-24
https://git.gnome.org/browse/mutter/log?h=gnome-3-24

Test Case
---------
In Ubuntu GNOME, install the update then reboot. Log in.

Do the same with Ubuntu Budgie (or you can install budgie-desktop on top of Ubuntu GNOME and then log in to Budgie afterwards.)

Regression Potential
--------------------
The biggest risk is that something in the update causes Budgie or GNOME Shell to no longer work. If GNOME Shell is broken, it could break gdm which is very bad for Ubuntu GNOME users.

Related branches

Jeremy Bicha (jbicha) on 2017-04-12
Changed in gnome-desktop3 (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Jeremy Bicha (jbicha) on 2017-04-12
Changed in mutter (Ubuntu):
status: Triaged → In Progress
Changed in gnome-desktop3 (Ubuntu):
status: Triaged → In Progress

Hello Jeremy, or anyone else affected,

Accepted gnome-shell into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.24.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Changed in mutter (Ubuntu Zesty):
status: New → Fix Committed
Andy Whitcroft (apw) wrote :

Hello Jeremy, or anyone else affected,

Accepted mutter into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mutter/3.24.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.24.1-0ubuntu1

---------------
mutter (3.24.1-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1682238)

 -- Jeremy Bicha <email address hidden> Wed, 12 Apr 2017 18:03:01 -0400

Changed in mutter (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.24.1-0ubuntu1

---------------
gnome-shell (3.24.1-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1682238)

 -- Jeremy Bicha <email address hidden> Wed, 12 Apr 2017 17:40:02 -0400

Changed in gnome-shell (Ubuntu):
status: New → Fix Released
Jeremy Bicha (jbicha) on 2017-04-24
no longer affects: gnome-desktop3 (Ubuntu)
no longer affects: mutter (Ubuntu Zesty)
Changed in mutter (Ubuntu Zesty):
importance: Undecided → Medium
status: New → Fix Committed
Changed in gnome-shell (Ubuntu Zesty):
importance: Undecided → Medium
status: New → Fix Committed
Changed in gnome-shell (Ubuntu):
importance: Undecided → Medium
Jeremy Bicha (jbicha) wrote :

I installed mutter 3.24.1-0ubuntu1 and gnome-shell 3.24.1-0ubuntu1 and used them all week. It feels like it works as well as the old version. The Weather feature works a bit better.

fossfreedom (fossfreedom) wrote :

Installed the proposed packages mutter and mutter-common on Ubuntu Budgie. Logged out and logged in. Ran a few applications. All works as expected.

Jeremy Bicha (jbicha) on 2017-04-28
tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for mutter has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.24.1-0ubuntu1

---------------
gnome-shell (3.24.1-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1682238)

 -- Jeremy Bicha <email address hidden> Wed, 12 Apr 2017 17:40:02 -0400

Changed in gnome-shell (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.24.1-0ubuntu1

---------------
mutter (3.24.1-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1682238)

 -- Jeremy Bicha <email address hidden> Wed, 12 Apr 2017 18:03:01 -0400

Changed in mutter (Ubuntu Zesty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers